## cascading
Class CoGroupFieldedPipesPlatformTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              cascading.CascadingTestCase
                  cascading.PlatformTestCase
                      cascading.CoGroupFieldedPipesPlatformTest

All Implemented Interfaces:
  Serializable, junit.framework.Test

    public class CoGroupFieldedPipesPlatformTest

extends PlatformTestCase

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.PlatformTestCase
`name, ROOT_OUTPUT_PATH`

Constructor Summary
`CoGroupFieldedPipesPlatformTest()`

Method Summary
`void` `testCoGroup()`
`void` `testCoGroupAfterEvery()` Method testCoGroupAfterEvery tests that a tmp tap is inserted after the Every in the cogroup join
`void` `testCoGroupAfterEveryNoDeclared()` Tests that CoGroup properly resolves fields when following an Every
`void` `testCoGroupAroundCoGroup()`
`void` `testCoGroupAroundCoGroupWith()`
`void` `testCoGroupAroundCoGroupWithout()`
`void` `testCoGroupDiffFields()`
`void` `testCoGroupDiffFieldsSameFile()`
`void` `testCoGroupFilteredBranch()` this test intentionally filters out all values so the intermediate tap is empty.
`void` `testCoGroupGroupBy()`
`void` `testCoGroupInner()` 1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1 1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1 1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 null h1 null H1
`void` `testCoGroupInnerNull()` 1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1 1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1 1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1

`void`

`testCoGroupInnerOuter()`
1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 3 c1 null null 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 5 e1 null null 5 e2 null null 5 e3 null null 7 g1 null null 7 g2 null null 7 g3 null null 7 g4 null null 7 g5 null null null h1 null H1

`void`

`testCoGroupInnerOuterNull()`
1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 3 c1 null null 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 5 e1 null null 5 e2 null null 5 e3 null null 7 g1 null null 7 g2 null null 7 g3 null null 7 g4 null null 7 g5 null null null h1 null null

`void` `testCoGroupInnerSingleField()`
`void` `testCoGroupMixed()` 1 a 5 b 6 c 5 b 5 e 1 A 2 B 3 C 4 D 5 E 1 a 2 b 3 c 4 d 5 e 1 a 1 A 1 a - - 2 B 2 b - - 3 C 3 c - - 4 D 4 d 5 b 5 E 5 e 5 e 5 E 5 e

`void`

`testCoGroupOuter()`
1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 3 c1 null null 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 5 e1 null null 5 e2 null null 5 e3 null null null null 6 F1 null null 6 F2 7 g1 null null 7 g2 null null 7 g3 null null 7 g4 null null 7 g5 null null null h1 null H1

`void` `testCoGroupOuterInner()` 1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1 1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1 1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 null null 6 F1 null null 6 F2 null h1 null H1
`void` `testCoGroupOuterInnerNull()` 1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1 1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1 1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 null null 6 F1 null null 6 F2 null null null H1

`void`

`testCoGroupOuterNull()`
1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 3 c1 null null 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 5 e1 null null 5 e2 null null 5 e3 null null null null 6 F1 null null 6 F2 7 g1 null null 7 g2 null null 7 g3 null null 7 g4 null null 7 g5 null null null h1 null null null null null H1

`void` `testCoGroupSamePipe()`
`void` `testCoGroupSamePipe2()`
`void` `testCoGroupSamePipe3()`
`void` `testCoGroupSamePipeName()`
`void` `testCoGroupSelf()`
`void` `testCoGroupWithUnknowns()`
`void` `testCross()`
`void` `testJoinNone()`

Methods inherited from class cascading.PlatformTestCase
`copyFromLocal, disableDebug, getOutputPath, getPathElements, getPlatform, getPlatformName, getProperties, getRootPath, getTestCaseName, getTestName, getTestRoot, installPlatform, setUp, tearDown`

Methods inherited from class cascading.CascadingTestCase

`asCollection, asCollection, asCollection, asCollection, asList, asList, asSet, asSet, getSinkAsList, getSourceAsList, invokeAggregator, invokeAggregator, invokeAggregator, invokeBuffer, invokeBuffer, invokeBuffer, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFunction, invokeFunction, invokeFunction, invokeFunction, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength`

Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoGroupFieldedPipesPlatformTest

    public CoGroupFieldedPipesPlatformTest()

Method Detail

### testCross

    public void testCross()
                   throws Exception

  Throws:
    `Exception`

### testCoGroup

    public void testCoGroup()
                     throws Exception

  Throws:
    `Exception`

### testCoGroupSamePipeName

    public void testCoGroupSamePipeName()
                                 throws Exception

  Throws:
    `Exception`

### testCoGroupWithUnknowns

    public void testCoGroupWithUnknowns()
                                 throws Exception

  Throws:
    `Exception`

### testCoGroupFilteredBranch

    public void testCoGroupFilteredBranch()
                                   throws Exception

  this test intentionally filters out all values so the intermediate tap is empty. this tap is cogrouped with a new stream using an outerjoin.

  Throws:
    `Exception`

### testCoGroupSelf

    public void testCoGroupSelf()
                         throws Exception

  Throws:
    `Exception`

### testCoGroupAfterEvery

    public void testCoGroupAfterEvery()
                               throws Exception

  Method testCoGroupAfterEvery tests that a tmp tap is inserted after the Every in the cogroup join

  Throws:
    `Exception` - when

### testCoGroupAfterEveryNoDeclared

    public void testCoGroupAfterEveryNoDeclared()
                                         throws Exception

  Tests that CoGroup properly resolves fields when following an Every

  Throws:
    `Exception`

### testCoGroupInnerSingleField

    public void testCoGroupInnerSingleField()
                                     throws Exception

  Throws:
    `Exception`

### testCoGroupInner

    public void testCoGroupInner()
                          throws Exception

  1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

  1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

  1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 null h1 null H1

  Throws:
    `Exception`

### testCoGroupInnerNull

    public void testCoGroupInnerNull()
                              throws Exception

  1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

  1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

  1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1

  Throws:
    `Exception`

### testCoGroupOuter

    public void testCoGroupOuter()
                          throws Exception

  1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

  1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

  1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 3 c1 null null 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 5 e1 null null 5 e2 null null 5 e3 null null null null 6 F1 null null 6 F2 7 g1 null null 7 g2 null null 7 g3 null null 7 g4 null null 7 g5 null null null h1 null H1

  Throws:
    `Exception`

### testCoGroupOuterNull

    public void testCoGroupOuterNull()
                              throws Exception

  1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

  1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

  1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 3 c1 null null 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 5 e1 null null 5 e2 null null 5 e3 null null null null 6 F1 null null 6 F2 7 g1 null null 7 g2 null null 7 g3 null null 7 g4 null null 7 g5 null null null h1 null null null null null H1

  Throws:
    `Exception`

### testCoGroupInnerOuter

    public void testCoGroupInnerOuter()
                               throws Exception

  1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

  1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

  1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 3 c1 null null 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 5 e1 null null 5 e2 null null 5 e3 null null 7 g1 null null 7 g2 null null 7 g3 null null 7 g4 null null 7 g5 null null null h1 null H1

  Throws:
    `Exception`

### testCoGroupInnerOuterNull

    public void testCoGroupInnerOuterNull()
                                   throws Exception

  1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

  1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

  1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 3 c1 null null 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 5 e1 null null 5 e2 null null 5 e3 null null 7 g1 null null 7 g2 null null 7 g3 null null 7 g4 null null 7 g5 null null null h1 null null

  Throws:
    `Exception`

### testCoGroupOuterInner

    public void testCoGroupOuterInner()
                               throws Exception

  1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

  1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

  1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 null null 6 F1 null null 6 F2 null h1 null H1

  Throws:
    `Exception`

### testCoGroupOuterInnerNull

    public void testCoGroupOuterInnerNull()
                                   throws Exception

  1 a1 1 a2 1 a3 2 b1 3 c1 4 d1 4 d2 4 d3 5 e1 5 e2 5 e3 7 g1 7 g2 7 g3 7 g4 7 g5 null h1

  1 A1 1 A2 1 A3 2 B1 2 B2 2 B3 4 D1 6 F1 6 F2 null H1

  1 a1 1 A1 1 a1 1 A2 1 a1 1 A3 1 a2 1 A1 1 a2 1 A2 1 a2 1 A3 1 a3 1 A1 1 a3 1 A2 1 a3 1 A3 2 b1 2 B1 2 b1 2 B2 2 b1 2 B3 4 d1 4 D1 4 d2 4 D1 4 d3 4 D1 null null 6 F1 null null 6 F2 null null null H1

  Throws:
    `Exception`

### testCoGroupMixed

    public void testCoGroupMixed()
                          throws Exception

  1 a 5 b 6 c 5 b 5 e

  1 A 2 B 3 C 4 D 5 E

  1 a 2 b 3 c 4 d 5 e

  1 a 1 A 1 a - - 2 B 2 b - - 3 C 3 c - - 4 D 4 d 5 b 5 E 5 e 5 e 5 E 5 e

  Throws:
    `Exception`

### testCoGroupDiffFields

    public void testCoGroupDiffFields()
                               throws Exception

  Throws:
    `Exception`

### testCoGroupGroupBy

    public void testCoGroupGroupBy()
                            throws Exception

  Throws:
    `Exception`

### testCoGroupSamePipe

    public void testCoGroupSamePipe()
                             throws Exception

  Throws:
    `Exception`

### testCoGroupSamePipe2

    public void testCoGroupSamePipe2()
                              throws Exception

  Throws:
    `Exception`

### testCoGroupSamePipe3

    public void testCoGroupSamePipe3()
                              throws Exception

  Throws:
    `Exception`

### testCoGroupAroundCoGroup

    public void testCoGroupAroundCoGroup()
                                  throws Exception

  Throws:
    `Exception`

### testCoGroupAroundCoGroupWithout

    public void testCoGroupAroundCoGroupWithout()
                                         throws Exception

  Throws:
    `Exception`

### testCoGroupAroundCoGroupWith

    public void testCoGroupAroundCoGroupWith()
                                      throws Exception

  Throws:
    `Exception`

### testCoGroupDiffFieldsSameFile

    public void testCoGroupDiffFieldsSameFile()
                                       throws Exception

  Throws:
    `Exception`

### testJoinNone

    public void testJoinNone()
                      throws Exception

  Throws:
    `Exception`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.